Skip to main content
GET
Retrieve a Core Transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Pattern: ^core_transaction_.+~\d+$
Example:

"core_transaction_xyz123"

Response

A Core Transaction object.

id
string
required
Pattern: ^core_transaction_.+~\d+$
Example:

"core_transaction_xyz123"

core_balance_id
string
required
Pattern: ^core_balance_\w+$
Example:

"core_balance_xyz123"

type
enum<string>
required
Available options:
ach,
checks,
domestic_wires,
international_wires,
instant_payments,
blockchain_payments,
internal_transfers,
fundings,
receivable_sales,
interest,
fees,
sweeps,
lead_generated,
legacy_banking
description
string
required

Human-readable description.

Maximum string length: 120
Example:

"ACH settlement — Payroll deposit"

amount
integer
required

Signed value in minor units. Positive = credit, negative = debit.

Example:

150000

currency_code
string
required

Currency of the transaction (ISO 4217).

Example:

"USD"

created_at
string<date-time>
required

When this transaction was created and affected the balance.

Example:

"2026-04-01T09:00:05Z"

updated_at
string<date-time>
required

Last update timestamp.

Example:

"2026-04-01T09:00:05Z"